Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. Batches

GET one batch

GET
/clients/{clientno}/batches/{batchuuid}
Get details for one batch with asynchronous treatment

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
OK. The request succeeded
Body

🟢202
🟢206
🟠406
🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//batches/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get batch status
{
    "clientNo": 2218,
    "batchUuid": "8NlwdOIM1YLVFP9-WOwkYQ",
    "status": "PROCESSED",
    "result": "PARTIAL-SUCCESS",
    "message": "The batch was processed",
    "countNotProcessed": 0,
    "countProcessed": 2,
    "countSuccessful": 1,
    "countFailed": 1,
    "items": [
        {
            "status": "PROCESSED",
            "result": "CREATED",
            "message": "Customer created",
            "clientNo": 2218,
            "accountNo": 500002,
            "customerNo": "543210",
            "warnings": [
                {
                    "field": "organizationNo",
                    "message": "Business ID/organizationNo 987654321 is not a valid business ID (scheme code: 0192)"
                }
            ]
        },
        {
            "status": "PROCESSED",
            "result": "FAILED",
            "message": "NX is not a valid ISO 3166-1 alpha-2 country code",
            "clientNo": 2218,
            "accountNo": 500029,
            "customerNo": "765432",
            "errors": [
                {
                    "field": "countryCode",
                    "message": "NX is not a valid ISO 3166-1 alpha-2 country code"
                }
            ]
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
POST (create) one or more auto postings
Next
GET a list of client config values
Built with